#include "CTBot.h"

/* ESP8266 Analog Pin ADC0 = A0 */
#define analogPin A0 

/* Telegram library bot */
CTBot broBot;

/* Credentials for your wifi network + telegram token */
String ssid  = "your network name"; 
String pass  = "your network password"; 
String token = "your telegram token";    
                    
/* Variable to store Output of ADC */
int adcValue = 0;  

void setup()
{
  /* Serial connection for debugging */
  Serial.begin(115200);
  Serial.println("Starting TelegramBot...");

  /* */
  broBot.wifiConnect(ssid, pass);

  /*Bot set telegram token */
  broBot.setTelegramToken(token);

  /* Check-up */
  if (broBot.testConnection())
    Serial.println("\ntestConnection OK");
  else
    Serial.println("\ntestConnection NOT OK");
}

void loop()
{
  /* Read the Analog Input value */
  adcValue = analogRead(analogPin); 
 
  /* Print the output in the Serial Monitor */
  Serial.print("ADC Value = ");
  Serial.println(adcValue);

  /* If a voltage is present, send a message */
  if (adcValue >= 100){
    broBot.sendMessage(msg.sender.id, "Bro, there's someone at the door!");
    delay(2000);
  }

  /* Delay for non-bouncing */
  delay(500);
  
}
